<i18n>
{
  "fr": {
    "title-1": "Introduction",
    "title-2": "Pourquoi utiliser",
    "info-1": "développé par",
    "info-2": "est un outil permettant de calculer l’empreinte carbone et de construire le bilan gaz à effet de serre (BGES) réglementaire de votre laboratoire",
    "info-3": "A travers cet outil l'objectif est double :",
    "info-4": "Mener des études scientifiques relatives à l’empreinte carbone de la recherche publique française (notre champ d’investigation actuel est limité à la France, y compris les DOM-TOM).",
    "info-5": "Nourrir la réflexion sur les leviers d'actions permettant de réduire l’impact des activités de recherche sur les émissions de gaz à effet de serre, tant à l'échelle nationale que locale au laboratoire.",
    "info-6": "Merci de bien vouloir",
    "info-7": "consulter attentivement la documentation",
    "info-8": "(méthodologie et aide) avant de débuter et de nous contacter",
    "info-9": "Contribuer",
    "info-10": "<b>Contribuer</b><br/>à un champ<br/>scientifique<br/>émergent.",
    "info-11": "Impliquer",
    "info-12": "<b>Impliquer</b><br/>directement les<br/>personnels des<br/>laboratoires.",
    "info-13": "Partager",
    "info-14": "<b>Partager</b><br/>une <br/>méthodologie<br/>commune.",
    "info-15": "Tenir compte",
    "info-16": "<b>Tenir compte</b><br/>des spécificités<br/>des laboratoires<br/>de recherche.",
    "info-17": "Promouvoir",
    "info-18": "<b>Promouvoir</b><br/>les outils<br/>numériques<br/>libres.",
    "box-title-1": "Utilisateur habilité",
    "box-title-2": "Utilisateur anonyme",
    "box-info-1": "Aucune affiliation",
    "box-info-2": "actuellement",
    "box-info-3": "vous n'êtes rattaché.e à aucun laboratoire ou aucun service support de la recherche (ex services centraux nationaux, délégation régionale, ...).",
    "box-info-4": "Avant de commencer, veuillez renseigner les informations relatives au laboratoire ou au service support pour lequel vous êtes habilité.e à réaliser le BGES et soumettre des données.",
    "box-info-5": "Mon laboratoire",
    "box-info-6": "Être utilisateur habilité de",
    "box-info-7": "signifie",
    "box-info-8": "Faire le BGES réglementaire de votre laboratoire",
    "box-info-9": "Estimer l'empreinte carbone de votre laboratoire",
    "box-info-10": "Estimer l'empreinte carbone de votre équipe / projet",
    "box-info-11": "Avoir accès à l'ensemble des formulaires",
    "box-info-12": "Avoir accès et exporter les résultats",
    "box-info-13": "Avoir l'accord de la direction de votre laboratoire",
    "box-info-14": "Participer à l'étude nationale",
    "box-info-15": "Avoir accès aux BGES multi-années de votre laboratoire",
    "box-info-16": "Pouvoir éditer les données de votre laboratoire",
    "box-info-17": "J'affirme avoir pris connaissance de la",
    "box-info-18": "Charte",
    "box-info-19": "de",
    "box-info-20": "S'identifier",
    "box-info-21": "Être utilisateur anonyme de",
    "box-info-22": "Commencer",
    "box-info-23": "Politique de confidentialité",
    "box-info-24": "Je suis habilité.e par la direction de mon unité à soumettre les données à",
    "box-info-25": "Pourquoi utiliser GES 1point5 ?",
    "box-info-26": "Pour démarrer le nouveau bilan du laboratoire",
    "box-info-27": "aucune tutelle",
    "box-info-28": "merci de confirmer les trois points suivants"
  },
  "en": {
    "title-1": "Introduction",
    "title-2": "Why use",
    "info-1": "developed by",
    "info-2": "is a tool aiming at calculating the carbon footprint and building the greenhouse gas (GHG) inventory of your laboratory",
    "info-3": "The goal of this tool is twofold:",
    "info-4": "Carry out scientific studies relating to the carbon footprint of French public research. Our current research field is limited to France, including its overseas territories.",
    "info-5": "Bring food for thought on the levers for action to reduce the impact of research activities on GHG emissions, at the national as well as at the local level of the laboratory.",
    "info-6": "Thank you for",
    "info-7": "carefully reading the guidelines",
    "info-8": "(methodology and help) before starting and contacting us",
    "info-9": "Contribute",
    "info-10": "<b>Contribute</b><br/>to an emerging<br/>scientific<br/>field.",
    "info-11": "Involve",
    "info-12": "<b>Involve </b><br/>the<br/>staff members<br/>.",
    "info-13": "Share",
    "info-14": "<b>Share</b><br/>a common <br/>methodology<br/>.",
    "info-15": "Account for",
    "info-16": "<b>Account for</b><br/>the specificities<br/>of the research<br/>laboratoires.",
    "info-17": "Promote",
    "info-18": "<b>Promote</b><br/>open access<br/>digital<br/>tools.",
    "box-title-1": "Authorized user",
    "box-title-2": "Anonymous user",
    "box-info-1": "No affiliation",
    "box-info-2": "currently",
    "box-info-3": "you are not linked to any laboratory or support service (e.g. national or regional support services)",
    "box-info-4": "Before starting, please enter the information pertaining to the laboratory or the support service for which you are authorized to conduct the GHG inventory and to submit data.",
    "box-info-5": "My laboratory",
    "box-info-6": "Being an authorized user of",
    "box-info-7": "entails that you ",
    "box-info-8": "Conduct the GHG inventory of your laboratory",
    "box-info-9": "Estimate the carbon footprint of your laboratory",
    "box-info-10": "Estimate the carbon footprint of your team / project",
    "box-info-11": "Have access to all the forms",
    "box-info-12": "Have access to and export the results",
    "box-info-13": "Are authorized by the director of your laboratory",
    "box-info-14": "Participate in the national survey",
    "box-info-15": "Have access to the annual GHG inventories",
    "box-info-16": "Can edit the data of your laboratory",
    "box-info-17": "I acknowledge that I have read the",
    "box-info-18": "Charter",
    "box-info-19": "of",
    "box-info-20": "Log in",
    "box-info-21": "Being an anonymous user of",
    "box-info-22": "Start",
    "box-info-23": "Privacy policy",
    "box-info-24": "I am authorized by the director of my laboratory to submit the data to",
    "box-info-25": "Why use GES 1point5 ?",
    "box-info-26": "In order to start the new GHG inventory of the laboratory",
    "box-info-27": "No research institution",
    "box-info-28": "please check the following three statements"
  }
}
</i18n>

<template>
  <div>
    <serveur-info :erreur="module.erreur">
    </serveur-info>
    <su-service :icon="'info'">
      <template #title>
        {{ $t('title-1') }}
      </template>
      <p>
        <b><em>GES 1point5</em></b>, {{ $t('info-1') }} <em>Labos 1point5</em>, {{ $t('info-2') }}.<br/>
      </p>
      <p style="margin-top:8px">
        {{ $t('info-3') }}
        <ul style="list-style-type: square; margin-left: 25px;">
          <li>
            {{ $t('info-4') }}
            <br/>
          </li>
          <li>
            {{ $t('info-5') }}
          </li>
        </ul>
      </p>
    </su-service>
    <br />
    <b-notification :closable="false">
      <span style="margin-top:8px">
        {{ $t('info-6') }} <b>{{ $t('info-7') }}</b> {{ $t('info-8') }}.
      </span>
    </b-notification>
    <b-notification :closable="false">
      <span style="margin-top:8px">
        <b-tag rounded type="is-info">How to cite</b-tag>&nbsp;
        <em>An open-source tool to assess the carbon footprint of research.</em>
        Jérôme Mariette, Odile Blanchard, Olivier Berné, Olivier Aumont, Julian Carrey,
        AnneLaure Ligozat, Emmanuel Lellouch, Philippe-Emmanuel Roche, Gaël Guennebaud,
        Joel Thanwerdas, Philippe Bardou, Gérald Salin, Elise Maigne, Sophie Servan and
        Tamara Ben-Ari. 2022 Environ. Res.: Infrastruct. Sustain. <strong>2</strong>
        0350080
        <a
          target="_blank"
          class="link"
          href="https://doi.org/10.1088/2634-4505/ac84a4"
        >
          10.1088/2634-4505/ac84a4
        </a>.
      </span>
    </b-notification>
    <br/>
    <h3 style="text-align:center;font-size:1.1em">
      <b> {{ $t('title-2') }} <em>GES 1point5</em> ?</b>
    </h3>
    <div class="columns" style="margin:25px 10px">
      <div class="column">
        <div class="columns col-border-shaddow">
          <div class="column col-rotate" style="background-color:#d14d65;">
            <span class="title is-5" style="color:#fff;">{{ $t('info-9') }}</span>
          </div>
          <div class="column col-content col-content-1" @click="displayWhy=true">
            <figure class="image is-40x40">
                <i class="sui sui-puzzle-piece" style="font-size:40px;"></i>
            </figure>
            <div v-html="$t('info-10')"></div>
          </div>
        </div>
      </div>
      <div class="column">
        <div class="columns col-border-shaddow">
          <div class="column col-rotate" style="background-color:#8a4869;">
            <span class="title is-5" style="color:#fff;">{{ $t('info-11') }}</span>
          </div>
          <div class="column col-content col-content-2" @click="displayWhy=true">
            <figure class="image is-40x40">
              <i class="sui sui-object-group" style="font-size:40px;"></i>
            </figure>
            <div v-html="$t('info-12')"></div>
          </div>
        </div>
      </div>
      <div class="column">
        <div class="columns col-border-shaddow">
          <div class="column col-rotate" style="background-color:#5f548d;">
            <span class="title is-5" style="color:#fff;">{{ $t('info-13') }}</span>
          </div>
          <div class="column col-content col-content-3" @click="displayWhy=true">
            <figure class="image is-40x40">
              <i class="sui sui-hubzilla" style="font-size:40px;"></i>
            </figure>
            <div v-html="$t('info-14')"></div>
          </div>
        </div>
      </div>
      <div class="column">
        <div class="columns col-border-shaddow">
          <div class="column col-rotate" style="background-color:#3b589f;">
            <span class="title is-5" style="color:#fff;">{{ $t('info-15') }}</span>
          </div>
          <div class="column col-content col-content-4" @click="displayWhy=true">
            <figure class="image is-40x40">
              <i class="sui sui-tags" style="font-size:40px;"></i>
            </figure>
            <div v-html="$t('info-16')"></div>
          </div>
        </div>
      </div>
      <div class="column">
        <div class="columns col-border-shaddow">
          <div class="column col-rotate" style="background-color:#0d7eb6;">
            <span class="title is-5" style="color:#fff;">{{ $t('info-17') }}</span>
          </div>
          <div class="column col-content col-content-5" @click="displayWhy=true">
            <figure class="image is-40x40">
              <i class="sui sui-podcast" style="font-size:40px;"></i>
            </figure>
            <div v-html="$t('info-18')"></div>
          </div>
        </div>
      </div>
    </div>
    <br/>
    <br/>

    <div class="columns" v-if="isAuthenticated && !hasLaboratoire">
      <div class="column is-half is-offset-one-quarter">
        <div class="boxicon is-bordered has-text-centered" data-animation="fadeInLeft" style="margin-bottom:0">
          <div class="bicon"><a class="notlink"><b-icon icon="user"></b-icon></a></div>
          <h4>{{ $t('box-title-1') }}</h4>
          <br />
          <div class="content">
            <p>
              <b>{{ $t('box-info-1') }}</b>: {{ $t('box-info-2') }} {{ $t('box-info-3') }}
              <br/><br/>
              {{ $t('box-info-4') }}
              <br/><br/>
            </p>
            <b-button class="button is-primary is-fullwidth" type="is-primary" tag="router-link" to="/administration/my-laboratory">
              <span class="icon is-small"><i class="sui sui-flask"></i></span>
              <span>{{ $t('box-info-5') }}</span>
            </b-button>
          </div>
        </div>
      </div>
    </div>

    <div class="columns" v-if="!isAuthenticated">
      <div class="column">
        <div class="boxicon is-bordered has-text-centered" data-animation="fadeInLeft" style="margin-bottom:0">
          <div class="bicon"><a class="notlink"><b-icon icon="user-plus"></b-icon></a></div>
          <h4>{{ $t('box-title-1') }}</h4>
          <br />
          <div class="content">
            <p>
              {{ $t('box-info-6') }} <em>GES 1point5</em> {{ $t('box-info-7') }} :
              <ul style="list-style:none;margin-left:1em">
                <li>
                  <span class="icon is-small"><i class="sui sui-check"></i></span>
                  {{ $t('box-info-8') }}
                </li>
                <li>
                  <span class="icon is-small"><i class="sui sui-check"></i></span>
                  {{ $t('box-info-9') }}
                </li>
                <li style="opacity:0.4;color:#ff3860">
                  <span class="icon is-small"><i class="sui sui-close"></i></span>
                  {{ $t('box-info-10') }}
                </li>
                <li>
                  <span class="icon is-small"><i class="sui sui-check"></i></span>
                  {{ $t('box-info-11') }}
                </li>
                <li>
                  <span class="icon is-small"><i class="sui sui-check"></i></span>
                  {{ $t('box-info-12') }}
                </li>
                <li>
                  <span class="icon is-small"><i class="sui sui-check"></i></span>
                  {{ $t('box-info-13') }}
                </li>
                <li>
                  <span class="icon is-small"><i class="sui sui-check"></i></span>
                  {{ $t('box-info-14') }}
                </li>
                <li>
                  <span class="icon is-small"><i class="sui sui-check"></i></span>
                  {{ $t('box-info-15') }}
                </li>
                <li>
                  <span class="icon is-small"><i class="sui sui-check"></i></span>
                  {{ $t('box-info-16') }}
                </li>
              </ul>
            </p>
            <button class="button is-primary is-fullwidth" style="margin-top:65px" @click="openAuthModal">
              <span class="icon is-small"><i class="sui sui-user"></i></span>
              <span>{{ $t('box-info-20') }}</span>
            </button>
          </div>
        </div>
      </div>
      <div class="column">
        <div class="boxicon is-bordered has-text-centered" data-animation="fadeInLeft" style="margin-bottom:0">
          <div class="bicon"><a class="notlink"><b-icon icon="user-secret"></b-icon></a></div>
          <h4>{{ $t('box-title-2') }}</h4>
          <br />
          <div class="content">
            <p>
              {{ $t('box-info-21') }} <em>GES 1point5</em> {{ $t('box-info-7') }} :
              <ul style="list-style:none;margin-left:1em">
                <li>
                  <span class="icon is-small"><i class="sui sui-check"></i></span>
                  {{ $t('box-info-8') }}
                </li>
                <li>
                  <span class="icon is-small"><i class="sui sui-check"></i></span>
                  {{ $t('box-info-9') }}
                </li>
                <li>
                  <span class="icon is-small"><i class="sui sui-check"></i></span>
                  {{ $t('box-info-10') }}
                </li>
                <li>
                  <span class="icon is-small"><i class="sui sui-check"></i></span>
                  {{ $t('box-info-11') }}
                </li>
                <li>
                  <span class="icon is-small"><i class="sui sui-check"></i></span>
                  {{ $t('box-info-12') }}
                </li>
                <li style="opacity:0.4;color:#ff3860">
                  <span class="icon is-small"><i class="sui sui-close"></i></span>
                  {{ $t('box-info-13') }}
                </li>
                <li style="opacity:0.4;color:#ff3860">
                  <span class="icon is-small"><i class="sui sui-close"></i></span>
                  {{ $t('box-info-14') }}
                </li>
                <li style="opacity:0.4;color:#ff3860">
                  <span class="icon is-small"><i class="sui sui-close"></i></span>
                  {{ $t('box-info-15') }}
                </li>
                <li style="opacity:0.4;color:#ff3860">
                  <span class="icon is-small"><i class="sui sui-close"></i></span>
                  {{ $t('box-info-16') }}
                </li>
              </ul>
            </p>
            <b-checkbox
              class="small"
              @input="charteAnonymeChanged"
              v-model="charteValidAnonyme"
            >
              {{ $t('box-info-17') }}
              <router-link class="link" target="_blank" to="/labos1point5-charter">
                {{ $t('box-info-18') }}
              </router-link> {{ $t('box-info-19') }} <em>Labos 1point5</em>.
            </b-checkbox>
            <br />
            <br />
            <button
              class="button is-primary is-fullwidth"
              :disabled="!charteValidAnonyme"
              @click="start"
              type="submit"
            >
              <span class="icon is-small"><i class="sui sui-arrow-circle-right"></i></span>
              <span>{{ $t('box-info-22') }}</span>
            </button>
          </div>
        </div>
      </div>
    </div>

    <div class="columns" v-if="isAuthenticated && hasLaboratoire && !module.isValid">
      <div class="column is-half is-offset-one-quarter">
        <div class="boxicon is-bordered has-text-centered" data-animation="fadeInLeft" style="margin-bottom:0">
          <div class="content">
            <p>
              {{ $t('box-info-26') }} <b>{{ laboratory.name }}</b>
              (<span v-if="laboratory.administrations==''">{{ $t('box-info-27') }}</span>
              <span style="padding-left:2px;padding-right:2px;" v-for="(administration, index) in laboratory.administrations" :key="index">{{ administration.name }}</span>)
              {{ $t('box-info-28') }} :
            </p>
            <br />
            <form>
              <b-checkbox class="small" v-model="charteValid">
                {{ $t('box-info-17') }} <router-link class="link" target="_blank" to="/labos1point5-charter">{{ $t('box-info-18') }}
                </router-link> {{ $t('box-info-19') }} <em>Labos 1point5</em>.
              </b-checkbox>
              <br />
              <b-checkbox class="mt-10 small" v-model="confidentialite">
                {{ $t('box-info-17') }} <router-link class="link" to="/politique-de-confidentialite" target="_blank">
                {{ $t('box-info-23') }}</router-link> {{ $t('box-info-19') }} <em>Labos 1point5</em>.
              </b-checkbox>
              <br />
              <b-checkbox class="mt-10 small" v-model="habilitation">
                {{ $t('box-info-24') }} <em>Labos 1point5</em>.
              </b-checkbox>
              <br />
              <br />
              <button
                class="button is-primary is-fullwidth"
                :disabled="!charteValid || !habilitation || !confidentialite"
                @click="start"
                type="submit"
              >
                <span class="icon is-small"><i class="sui sui-arrow-circle-right"></i></span>
                <span>{{ $t('box-info-22') }}</span>
              </button>
            </form>
          </div>
        </div>
      </div>
    </div>

    <b-modal
      :active.sync="displayWhy"
      has-modal-card
      style="z-index:9999"
    >
      <div class="modal-card" style="width: 1000px; height: auto;z-index:9999">
        <header class="modal-card-head">
          <p class="modal-card-title">
            {{ $t('box-info-25') }}
          </p>
        </header>
        <section class="modal-card-body">
          <why-ges-1point5 />
        </section>
      </div>
    </b-modal>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
  name: 'Introduction',
  components: {
    'su-service': () => import('@/components/SUService.vue'),
    'serveur-info': () => import('@/components/ServeurInfo.vue'),
    'why-ges-1point5': () => import('@/components/carbon/docs/WhyGES1point5.vue')
  },
  data () {
    return {
      displayWhy: false,
      charteValid: false,
      habilitation: false,
      confidentialite: false,
      charteValidAnonyme: false,
      hasLaboratoire: false
    }
  },
  computed: {
    ...mapGetters('authentication', ['isAuthenticated']),
    module: function () {
      return this.$store.getters['introduction/module']
    },
    laboratory: function () {
      return this.$store.getters['api/laboratory']
    }
  },
  methods: {
    start: function () {
      this.$emit('valid')
    },
    openAuthModal () {
      this.$store.dispatch('authentication/openAuthModal')
    },
    charteAnonymeChanged () {
      if (!this.charteValidAnonyme) {
        this.$emit('invalid')
      }
    }
  },
  mounted () {
    this.charteValidAnonyme = this.module.isValid
    if (this.isAuthenticated) {
      const loadingComponent = this.$buefy.loading.open({
        container: null
      })
      this.$store.dispatch('api/getLaboratory')
        .then(data => {
          loadingComponent.close()
          if (data) {
            this.hasLaboratoire = (data.id !== null)
          }
        })
        .catch((erreur) => {
          loadingComponent.close()
          this.hasLaboratoire = false
        })
    }
  }
}
</script>

<style lang="css" scoped>
  .boxicon .content {
    text-align: justify !important;
  }
  .col-border-shaddow {
    -webkit-box-shadow: 0 2px 3px rgba(10, 10, 10, 0.1), 0 0 0 1px rgba(10, 10, 10, 0.1);
    box-shadow: 0 2px 3px rgba(10, 10, 10, 0.1), 0 0 0 1px rgba(10, 10, 10, 0.1);
    background-color:#fff;
    text-align: center;
  }
  .col-rotate {
    transform:rotate(-90deg); width:185px;
    height: 48px;
    margin-top: 48px;
    margin-left: -56px;
    margin-right: -56px;
    text-align:center;
    border-radius: 15%;
  }
  .col-content {
    padding-top:4px;
    padding-bottom:4px;
    cursor:pointer;
    margin:auto;
  }
  .col-content-1 {
    color:#d14d65;
  }
  .col-content-1:hover {
    background-color:#d14d65;
    opacity: .8;
    color: #fff;
  }
  .col-content-2 {
    color:#8a4869;
  }
  .col-content-2:hover {
    background-color:#8a4869;
    opacity: .8;
    color: #fff;
  }
  .col-content-3 {
    color:#5f548d;
  }
  .col-content-3:hover {
    background-color:#5f548d;
    opacity: .8;
    color: #fff;
  }
  .col-content-4 {
    color:#3b589f;
  }
  .col-content-4:hover {
    background-color:#3b589f;
    opacity: .8;
    color: #fff;
  }
  .col-content-5 {
    color:#0d7eb6;
  }
  .col-content-5:hover {
    background-color:#0d7eb6;
    opacity: .8;
    color: #fff;
  }
</style>
